[package]
name = "sparkmax"
version = "0.1.2"
authors = ["David Vo <david@vovo.id.au>"]
edition = "2018"
categories = ["api-bindings", "embedded", "hardware-support"]
keywords = ["frc", "rev"]
license = "BSD-3-Clause"
description = "Communication with REV Robotics' SPARK MAX motor controller over CAN"

[dependencies]
bitflags = "1.0.4"
lazy_static = "1.3.0"
sparkmax-sys = { path = "sparkmax-sys" }
wpilib = { path = "../first-rust-competition/wpilib" }
wpilib-sys = { path = "../first-rust-competition/wpilib-sys" }

[features]

[workspace]
members = [".", "sparkmax-sys"]
